package org.apache.bcel.util;

package .tmp;

import java.io.IOException;
import java.io.InputStream;
import java.nio.file.Files;
import java.nio.file.Path;
import java.util.Objects;
import org.apache.bcel.util.ClassPath;

class null implements ClassPath.ClassFile {
  public String getBase() {
    return Objects.toString(resolved.getFileName(), null);
  }
  
  public InputStream getInputStream() throws IOException {
    return Files.newInputStream(resolved, new java.nio.file.OpenOption[0]);
  }
  
  public String getPath() {
    return resolved.toString();
  }
  
  public long getSize() {
    try {
      return Files.size(resolved);
    } catch (IOException e) {
      return 0L;
    } 
  }
  
  public long getTime() {
    try {
      return Files.getLastModifiedTime(resolved, new java.nio.file.LinkOption[0]).toMillis();
    } catch (IOException e) {
      return 0L;
    } 
  }
}
